# $Revision: 1.23 $, $Date: 2008/10/10 17:56:09 $
%define	_hordeapp jonah
%define	_snap	2008-10-10
#define	_rc		rc1
%define	_rel	0.1
#
%include	/usr/lib/rpm/macros.php
Summary:	Jonah is the Horde portal project
Summary(pl.UTF-8):	Jonah - projekt portalu opartego na Horde
Name:		horde-%{_hordeapp}
Version:	0.2
Release:	%{?_rc:0.%{_rc}.}%{?_snap:0.%(echo %{_snap} | tr -d -).}%{_rel}
License:	GPL
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/snaps/%{_snap}/%{_hordeapp}-HEAD-%{_snap}.tar.gz
# Source0-md5:	c394efc727440d4b0481cb018d0bb5d3
Source1:	%{name}.conf
URL:		http://www.horde.org/jonah/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.264
BuildRequires:	tar >= 1:1.15.1
Requires:	horde >= 3.0
Requires:	php(mysql)
Requires:	webapps
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'pear(Horde.*)'

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{_hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{_hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Jonah is the Horde portal project. It currently provides a framework
for collecting headlines from any site that provides an RSS summary of
their content. Future plans include a full-fledged my.netscape type
portal with user preferences, stocks, news, weather, and any other
content source that users want.

%description -l pl.UTF-8
Jonah to projekt portalu opartego na Horde. Aktualnie udostępnia
szkielet do zbierania nagłówków z dowolnych serwisów udostępniających
streszczenia treści w postaci RSS. Dalsze plany obejmują pełny portal
w stylu my.netscape z ustawieniami użytkownika, zasobami, nowinkami,
pogodą i innymi rodzajami treści.

%prep
%setup -qcT -n %{?_snap:%{_hordeapp}-%{_snap}}%{!?_snap:%{_hordeapp}-%{version}%{?_rc:-%{_rc}}}
tar zxf %{SOURCE0} --strip-components=1

rm */.htaccess
for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done
# considered harmful (horde/docs/SECURITY)
rm test.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a channels delivery lib locale stories templates themes $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

if [ "$1" = 1 ]; then
%banner %{name} -e <<-EOF
	IMPORTANT:
	If you are installing Jonah for the first time, You may need to
	create the Klutz database tables. To do so run:
	zcat %{_docdir}/%{name}-%{version}/scripts/sql/%{_hordeapp}.sql.gz | mysql horde
EOF
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc LICENSE README docs/* scripts
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/channels
%{_appdir}/config
%{_appdir}/delivery
%{_appdir}/docs
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/stories
%{_appdir}/templates
%{_appdir}/themes

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: horde-jonah.spec,v $
Revision 1.23  2008/10/10 17:56:09  baggins
- up to 2008-10-10 snap

Revision 1.22  2008/10/09 22:17:02  baggins
- just copy CREDITS where horde wants it, instead of making a symlink
  (possibly pointing to nothingnes if package is installed with --excludedocs)

Revision 1.21  2007/03/15 16:41:50  paszczus
- updated to 2007-03-15

Revision 1.20  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.18  2006/11/26 15:56:07  glen
- php virtual extension deps

Revision 1.17  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.16  2006/05/19 21:40:32  glen
- drop trigger

Revision 1.15  2006/04/12 13:54:02  glen
- 2006-04-12 snap, rm cleanup

Revision 1.14  2006/04/06 23:38:23  glen
- just rm to catch missing files

Revision 1.13  2006/02/14 20:12:09  glen
- drop apache specific requires
- cosmetics

Revision 1.12  2006/02/14 19:59:48  glen
- unify (%verify attrs for webserver configs)

Revision 1.11  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.10  2006/01/08 22:54:11  glen
- updated to 2006-01-08

Revision 1.9  2005/12/02 17:57:44  glen
- proper build macros

Revision 1.8  2005/11/30 22:32:13  glen
- simplify and unify

Revision 1.7  2005/11/30 21:21:19  glen
- unify

Revision 1.6  2005/11/30 12:50:45  glen
- conf.xml is not %config(noreplace) so it should not be rescued in trigger

Revision 1.5  2005/11/29 19:17:31  glen
- incompatible apache versions are listed in webapps package

Revision 1.4  2005/11/28 11:35:56  glen
- use webapps framework

Revision 1.3  2005/11/16 14:17:51  glen
- unified apache virtual requires

Revision 1.2  2005/09/21 19:47:06  qboosh
- pl

Revision 1.1  2005/09/17 15:52:36  glen
- new
